package com.zcloud.domain.domain.gateway;

import com.zcloud.domain.domain.model.ProjectTaskInfoE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:30:29
 */
public interface ProjectTaskInfoGateway {

    /**
     * 新增
     */
    Boolean add(ProjectTaskInfoE projectTaskInfoE);

    /**
     * 修改
     */
    Boolean update(ProjectTaskInfoE projectTaskInfoE);

    /**
     * 删除
     */
    Boolean deletedProjectTaskInfoById(Long id);

    Boolean deletedProjectTaskInfoByIds(Long[] id);
}

